<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="310dp"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    android:orientation="vertical"
    tools:viewBindingIgnore="true">

    <LinearLayout
        android:layout_width="310dp"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_view_white"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingStart="10dp"
        android:paddingTop="10dp"
        android:paddingEnd="10dp"
        android:paddingBottom="20dp">


        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:includeFontPadding="false"
            android:text="@string/new_update_title"
            android:textColor="#1a1a1a"
            android:textSize="17sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/versionCodeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="7dp"
            android:includeFontPadding="false"
            android:paddingStart="10dp"
            android:paddingTop="2dp"
            android:paddingEnd="10dp"
            android:paddingBottom="2dp"
            android:textColor="#1a1a1a"
            android:textSize="14sp"
            tools:text="V1.1.2" />

        <TextView
            android:id="@+id/updateTxtTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:includeFontPadding="false"
            android:paddingStart="10dp"
            android:paddingTop="2dp"
            android:paddingEnd="10dp"
            android:paddingBottom="25dp"
            android:textColor="#1a1a1a"
            android:textSize="14sp"
            tools:text="这里吧啦吧啦显示更新内容" />

        <LinearLayout
            android:id="@+id/choseLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="visible"
            tools:visibility="visible">

            <TextView
                android:id="@+id/submitBt"
                style="@style/style_primary"
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:gravity="center"
                android:text="@string/update_immediately"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/cancelBt"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingTop="15sp"
                android:text="@string/not_updating_for_now"
                android:textColor="#9DA8AE"
                android:textSize="12sp"
                android:visibility="gone"
                tools:visibility="visible" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/progressLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="10dp"
            android:visibility="gone"
            tools:visibility="visible">

            <TextView
                android:id="@+id/rate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:textColor="#663ED9"
                android:textSize="14sp"
                tools:text="68%" />

            <ProgressBar
                android:id="@+id/downLoadProgress"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="match_parent"
                android:layout_height="8dp"
                android:layout_marginTop="10dp"
                android:progressDrawable="@drawable/shape_progress_style"
                tools:progress="4" />
        </LinearLayout>


    </LinearLayout>

</LinearLayout>
